Comprehensive data protection for all workloads
darren.wardle50
Novice
Posts: 4
Liked: never
Joined: Feb 08, 2010 5:58 pm
Full Name: Darren wardle-Simmons
Contact:

Re: vSphere 4.1 support (or lack of)

Post by darren.wardle50 » Aug 05, 2010 7:14 pm

I'm attempting to upgrade one of our backup servers which is also used for replication.

Unfortunately I am receiving the following error:

Error 27506. Error executing SQL script DBupdate.sql.
Line 905. Cannot drop the procedure 'dbo.GetDbReplicationInfo' because it is being used for replication. (3724)

Clicking OK cancels the install and Veeam is removed, I have tried installing 4.1 and 4.0 but both fail with the same error.

Please can you advise how to resolve this.

Gostev
SVP, Product Management
Posts: 24929
Liked: 3620 times
Joined: Jan 01, 2006 1:01 am
Location: Baar, Switzerland
Contact:

Re: vSphere 4.1 support (or lack of)

Post by Gostev » Aug 05, 2010 7:35 pm

Hello, it sounds like you started the upgrade while some replication was running. Please open a support case and our technical staff will assist you in performing the upgrade. Thanks!

darren.wardle50
Novice
Posts: 4
Liked: never
Joined: Feb 08, 2010 5:58 pm
Full Name: Darren wardle-Simmons
Contact:

Re: vSphere 4.1 support (or lack of)

Post by darren.wardle50 » Aug 05, 2010 7:54 pm

There was were no jobs running at the time, the last offsite replica completed 35 minutes before I started the upgrade and the next backup wasn't due to start until 9PM.

Gostev
SVP, Product Management
Posts: 24929
Liked: 3620 times
Joined: Jan 01, 2006 1:01 am
Location: Baar, Switzerland
Contact:

Re: vSphere 4.1 support (or lack of)

Post by Gostev » Aug 05, 2010 8:00 pm

Is it possible that your SQL Server database is being replicated somewhere by native replication or 3rd party tools? From the error it looks like the table is locked by some external process. Anyhow, please do open a support case if you'd like to get this resolved in a timely manner. I can only be guessing here, but our technical staff will be able to say much more having the setup log files.

darren.wardle50
Novice
Posts: 4
Liked: never
Joined: Feb 08, 2010 5:58 pm
Full Name: Darren wardle-Simmons
Contact:

Re: vSphere 4.1 support (or lack of)

Post by darren.wardle50 » Aug 05, 2010 8:19 pm

Yep, the Veeam database is being replicated up, I stopped the replication but still no joy, so I have renamed the stored procedure and setup completed successfully.

Is this going to cause any issues with the replication? Backup jobs are running correctly.

Gostev
SVP, Product Management
Posts: 24929
Liked: 3620 times
Joined: Jan 01, 2006 1:01 am
Location: Baar, Switzerland
Contact:

Re: vSphere 4.1 support (or lack of)

Post by Gostev » Aug 05, 2010 8:34 pm

If the jobs are running, then all should be well.

beckhamk
Enthusiast
Posts: 57
Liked: never
Joined: Jan 01, 2006 1:01 am
Contact:

Re: vSphere 4.1 support (or lack of)

Post by beckhamk » Aug 08, 2010 12:50 pm

Upgraded to VB 4.1.2 works perfectly with vSphere V4.0 U1 and then later upgraded our entire cluster to vSpehre v4.1 and happy to report no issues :)

Gostev
SVP, Product Management
Posts: 24929
Liked: 3620 times
Joined: Jan 01, 2006 1:01 am
Location: Baar, Switzerland
Contact:

Re: vSphere 4.1 support (or lack of)

Post by Gostev » Aug 08, 2010 9:00 pm

Kyle, great to hear it all went smooth. I wonder if I should rename this topic ;)

Libertas
Enthusiast
Posts: 31
Liked: never
Joined: Jan 01, 2006 1:01 am
Contact:

Re: vSphere 4.1 support (or lack of)

Post by Libertas » Aug 09, 2010 10:31 pm

Hi all, upgraded to Veeam B&R 4.1.2 and currently have mixed enviroment of vSphere 4U1 and 4,1 and it is backng up from all happily using vCenter 4.1
Happy to say everything is working well. Thanks Veeam.

DavidReimers
Enthusiast
Posts: 50
Liked: 2 times
Joined: Sep 20, 2010 4:39 am
Full Name: David Reimers
Contact:

Re: vSphere 4.1 support (or lack of)

Post by DavidReimers » Sep 20, 2010 6:51 am

Running VB&R 4.1.2 - replicating from vCenter 4.0.1 to ESX 4.0.1 in same cluster is fine; from vCenter 4.0.1 to standalone ESXi 4.1 has issues (slowness and FormatFailed - jobs just time out).

radiohound
Lurker
Posts: 2
Liked: never
Joined: Sep 17, 2010 3:28 pm
Full Name: Walter Dunckel
Contact:

Re: vSphere 4.1 support (or lack of)

Post by radiohound » Sep 25, 2010 3:42 pm

I have a mixed environment of Vsphere 4.0 and 4.1. I upgraded my VCenter server to 4.1, and upgraded Veeam to 4.1.2. Now I can backup from Vsphere 4.0 hosts, but I get an error when I try to backup from the Vshpere 4.1 machine.

Here is the error:
Creating snapshot Cannot connect to server [xxx.xxx.xxx.xxx:2500]

I do not have a firewall on my Vcenter machine. I have not tried to mess with the firewall on the 4.1 host machine.

Anyone else having similar issues??

Thanks,

Walter

radiohound
Lurker
Posts: 2
Liked: never
Joined: Sep 17, 2010 3:28 pm
Full Name: Walter Dunckel
Contact:

Re: vSphere 4.1 support (or lack of)

Post by radiohound » Oct 22, 2010 10:59 pm

Ok, I guess the fix is to get the new Veeam 5.0. I did not have to edit any firewalls on my host machine. Just installed 5.0, and it worked for my Vcenter 4.1 host. I can backup again!

Gostev
SVP, Product Management
Posts: 24929
Liked: 3620 times
Joined: Jan 01, 2006 1:01 am
Location: Baar, Switzerland
Contact:

Re: vSphere 4.1 support (or lack of)

Post by Gostev » Oct 22, 2010 11:47 pm

Support for vSphere 4.1 was added in version 4.1.2 released on August 4th, 2010. Version 5.0 supports vSphere 4.1 too, of course.

Locked

Who is online

Users browsing this forum: Bing [Bot], ECW_Computers, soncscy and 41 guests